from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XReferenceResolvedBroadcaster(XInterface, Protocol):
    def addReferenceResolvedListener(self, referenceId: int, listener: XReferenceResolvedListener) -> None: ...
    def removeReferenceResolvedListener(self, referenceId: int, listener: XReferenceResolvedListener) -> None: ...
